%define gtk2_version 2.0
%define libart_lgpl_version 2.3.8
%define libglade2_version 1.99.12

###### This is all cut-and-paste boilerplate 
%define version_stamp_dir %{_datadir}/rpm-versions/%{name}
%define version_stamp_file %{_datadir}/rpm-versions/%{name}/%{version}-%{release}
%define install_version_stamp mkdir -p $RPM_BUILD_ROOT/%{version_stamp_dir} && echo %{version}-%{release} > $RPM_BUILD_ROOT/%{version_stamp_file}
%define devel_version_stamp_dir %{_datadir}/rpm-versions/%{name}-devel
%define devel_version_stamp_file %{_datadir}/rpm-versions/%{name}-devel/%{version}-%{release}
%define install_devel_version_stamp mkdir -p $RPM_BUILD_ROOT/%{devel_version_stamp_dir} && echo %{version}-%{release} > $RPM_BUILD_ROOT/%{devel_version_stamp_file}
###### End cut-and-paste boilerplate

Summary: GnomeCanvas widget
Name: libgnomecanvas
Version: 1.117.0
Release: 2
URL: http://www.gnome.org/
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries 
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk2 >= %{gtk2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: libglade2-devel >= %{libglade2_version}

%description

The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%package devel
Summary: Libraries and headers for libgnomecanvas.
Group: Development/Libraries
Requires: %name = %{version}
Conflicts: gnome-libs-devel < 1.4.1.2
Requires: gtk2-devel >= %{gtk2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libglade2-devel >= %{libglade2_version}

%description devel

The canvas widget allows you to create custom displays using stock items 
such as circles, lines, text, and so on. It was originally a port of the 
Tk canvas widget but has evolved quite a bit over time.

%prep
%setup -q

%build

## ensure that --nodeps doesn't mess things up (configure.in also
## checks this in theory, but in principle the RPM and configure.in
## could require different versions, and a double check is nice
## anyhow)
if ! pkg-config --atleast-version=%{gtk2_version} gtk+-2.0; then 
  echo "gtk-devel does not meet the build requirements"
  exit 1
fi
if ! pkg-config --atleast-version=%{libglade2_version} libglade-2.0; then 
  echo "libglade2-devel does not meet the build requirements"
  exit 1
fi

%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%install_version_stamp
%install_devel_version_stamp

%find_lang %name

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{version_stamp_dir}

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{devel_version_stamp_dir}

%changelog
* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 1.117.0

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libglade
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.114.0

* Tue Feb 19 2002 Alex Larsson <alexl@redhat.com>
- Add nasty version check stuff.

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- cvs snap 1.105.0.90, gtk 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, rebuild for gtk 1.3.10, 
  add libglade dep, fix libart dep

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- rebuild cvs snap for new glib/gtk

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap with upstream changes

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


